## org.apache.lucene.search
Interface FieldCache.ShortParser

All Superinterfaces:
  FieldCache.Parser, Serializable

Enclosing interface:
  FieldCache

    public static interface FieldCache.ShortParser

extends FieldCache.Parser

Interface to parse shorts from document fields.

See Also:
  `FieldCache.getShorts(IndexReader, String, FieldCache.ShortParser)`

Method Summary
`short` `parseShort(String string)` Return a short representation of this field's value.

Method Detail

### parseShort

    short parseShort(String string)

  Return a short representation of this field's value.